#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <signal.h>
#include <stdlib.h>  //para limpiar la pantalla
#include <unistd.h>

int main(int argc, char *argv[]) {

    int n, fifo,opc,pantalla;
    char buf[1024],FIFONAME1[60],FIFONAME2[60];
    FILE *archivo;
    pid_t srv_pid,pid;



    system("clear"); // Limpia la pantalla.
    sprintf(FIFONAME1,"/tmp/%s",argv[1]);    //crea los nombres de las fifos en el el /tmp
    sprintf(FIFONAME2,"/tmp/%s",argv[2]);

/********************  HIJO *************************/
     if ((pid=fork())==0)   {
        if ((pantalla= open(FIFONAME1, O_RDONLY)) < 0) {
            perror("open");			//Abre la fifo para lectura
            exit(1);
        }

     //Escribe el contenido de la fifo en pantalla.
        while ((n = read(pantalla, buf, sizeof(buf))) >= 0)
            write(1, buf, n);
     }
/****************************************************/



     else {

        if ((fifo = open(FIFONAME2, O_WRONLY)) < 0) {
            perror("open");       //Abre la fifo para escritura.
            exit(1);
        }
        while ((n = read(1, buf, sizeof(buf))) > 0) //envia todo lo que el usuario escribe
            write(fifo, buf, n);                    //por la fifo.
     }

    close(fifo);
    return(0);
}
