#include "servidor.h"

int main(int argc, char *argv[]) {

    int n,fifo,pantalla,opc,pvideo,nvideo,x,y,h,u;
    char buf[1024],pant[1024],fecha[32],c,FIFONAME1[60],FIFONAME2[60];
    FILE *archivo,*pfile;
    pid_t mypid;
    time_t ttope;							 //tiempo max en seg.
    struct tm fecha_pro={0,0,0,0,0,0,0,0};   //estructura que guardar temporalmente la fecha
    struct tm *ptm;                          // de programacion del video
    struct ListaVideo videoprog;             //estructura con los videos programados
    struct ElemVideo videot;                 //almancena temporalmente el video a prog.
    struct Video videoarrg[60];              //el contenido de videos.txt se copia qui.


    videoprog.primero=0;
    videoprog.ultimo=0;
    videoprog.video[videoprog.ultimo].horaterm=0;


    system("clear");
    sprintf(FIFONAME1,"/tmp/%s",argv[1]);   //crea los nombres de las fifos en el el /tmp
    sprintf(FIFONAME2,"/tmp/%s",argv[2]);
    // Borra las fifos anteriores.
    unlink(FIFONAME1);
    unlink(FIFONAME2);

    if (mkfifo(FIFONAME1, 0666) < 0) {         //
        perror("mkfifo");                      //
        exit(1);                               // Crea las FIFO.
    }                                          //
    if (mkfifo(FIFONAME2, 0666) < 0) {         //
        perror("mkfifo");
        exit(1);
    }

    printf("Servidor listo, esperando por usuario\n");


    if ((pantalla = open(FIFONAME1, O_WRONLY)) < 0) {   //
        perror("open");                                 //
        exit(1);                                        // Abre las fifos
    }                                                   //
    if ((fifo = open(FIFONAME2,O_RDONLY)) < 0) {        //
        perror("open");
        exit(1);
    }


/**************copia los videos a un arreglo*********************************/
	pfile=fopen("./videos.txt","r");
	x=0,y=0,h=0;
            	
    while((fscanf(pfile,"%c",&c))!=EOF)	{
    	if((c!='^')&&(c!='\n')&&(h==1)) 	{//es parte del nombre
    		videoarrg[y].nombre[x]=c;
    		x++;	
    	}

    	if((c!='^')&&(c!='\n')&&(h==2)) 	{//es parte de la duracion
    		videoarrg[y].duracion[x]=c;
    		x++;
    	}
    	if((c=='^')||(c=='\n'))	{
    		if(h==1){
    			videoarrg[y].nombre[x]='\0';
    		}
    		if(h==2)	{
    			videoarrg[y].duracion[x]='\0';
    		}
     	h++;
     	x=0;
     	}              	
     	if(c=='\n')	{
     		h=0;
     		x=0;
     		y++;
     	}
     }
/*************************************************************************/

    dup2(pantalla,1);//redirecciona la salida estandar a la fifo pantalla

    setlinebuf(stdout); // cierra el buffer de stdout.

    pvideo=open("./videos.txt",O_RDONLY); //abre el puntero al archivo de videos

    printf("Bienvenido al servidor local de Videos\n");
    while (1)   {
        printf("\nElija una opcin\n");
        printf("1> Ver lista de videos\n");
        printf("2> Ver lista de los Videos programados\n");
        printf("3> Programar un Video\n");
        printf("> Otra opcin para salir\n");
        /*Toma una opcin de la fifo*/
        n= read(fifo, buf, sizeof(buf));
        opc=atoi(buf);

        switch (opc)   {
            case 1: { //Listar los videos.
	            printf("\n\n");
    	        h=y;
             	y=0;
             	printf("N	     Nombre      Duracion(min)\n\n");
             	while (y<=h)	{
	             	printf("%2d %s  %s\n",y,videoarrg[y].nombre,videoarrg[y].duracion);
    	         	y++;
    	         }

            };break;

            case 2: {
                VerVideo(&videoprog);
            };break;

            case 3:     {
                printf("\nIngrese el nmero de video\n");
                read(fifo,buf, sizeof(buf));
                videot.num_vid=atoi(buf);

                /*ingreso de la hora max*/
                videot.horamax=InHoramax(fifo);

                printf("Ingrese su correo (username) ");
                fflush(stdout);									//vacia el buffer de escritura.
                u=read(fifo,videot.mail, sizeof(videot.mail));
                videot.mail[u-1]='\0';

                videot.duracion=atoi(videoarrg[videot.num_vid].duracion)*60;

                strcpy(videot.nombre,videoarrg[videot.num_vid].nombre);

                ttope=InsVideo(&videoprog,&videot);//hora en que se program el video
                if(ttope!=(-1)) {
                    printf("su video fue programado para el ");
                    ptm=localtime(&ttope);
                    strftime(fecha,sizeof(fecha),"%d/%m/%Y a las %H:%M hrs.\n",ptm);
                    printf("%s\n",fecha);
                }
                else
                    printf("su video no puede ser programado en ese horario\n");


            };break;

            default:    {
            	printf("Gracias");
                close(fifo);
                close(pantalla);
                close(pvideo);
                return(0);
            }
        }
    }
}










